DSC02679.JPG=Peggy Reynolds Klase inspects the well-worn carved lion near the head end who has been joined by a feline friend.
DSC02680.JPG=Al Klase, Mary Reist and Priscilla Spangler Stoner
RSCN1597.jpg=Dave Newcomer and Tom Oehme
DSCN1601.jpg=Bobbie Adams O'Leary and Mary Reist
